Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(132)

Issue 19482019: Change Android client desktop panning and zooming behavior (Closed)

Created:
5 years, 12 months ago by solb
Modified:
5 years, 11 months ago
Reviewers:
garykac
CC:
chromium-reviews, jamiewalch+watch_chromium.org, dcaiafa+watch_chromium.org, hclam+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, rmsousa+watch_chromium.org, weitaosu+watch_chromium.org, alexeypa+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

Change Android client desktop panning and zooming behavior It's now possible to scroll out far enough to see the entire desktop. Scrolling out all the way centers the image, nesting it between two black bars of equal length. Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=212964

Patch Set 1 #

Patch Set 2 : Force floating-point division when calculating centering offsets #

Total comments: 4

Patch Set 3 : Rescale/recenter after device rotation, clarify comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+75 lines, -22 lines) Patch
M remoting/android/java/src/org/chromium/chromoting/DesktopView.java View 1 2 3 chunks +72 lines, -19 lines 0 comments Download
M remoting/android/java/src/org/chromium/chromoting/jni/JniInterface.java View 2 chunks +3 lines, -3 lines 0 comments Download

Messages

Total messages: 6 (0 generated)
solb
This CL brings interface improvements to the remote desktop viewer portion of the app.
5 years, 12 months ago (2013-07-20 05:17:01 UTC) #1
garykac
lgtm https://codereview.chromium.org/19482019/diff/2004/remoting/android/java/src/org/chromium/chromoting/DesktopView.java File remoting/android/java/src/org/chromium/chromoting/DesktopView.java (right): https://codereview.chromium.org/19482019/diff/2004/remoting/android/java/src/org/chromium/chromoting/DesktopView.java#newcode142 remoting/android/java/src/org/chromium/chromoting/DesktopView.java:142: // screen, the user is attempting to scroll ...
5 years, 12 months ago (2013-07-20 21:10:43 UTC) #2
garykac
Oops. didn't mean to lgtm it just yet.
5 years, 12 months ago (2013-07-20 21:11:25 UTC) #3
solb
Although I'm responding now, I don't have a chance to fix this tonight. Thanks for ...
5 years, 12 months ago (2013-07-21 08:18:06 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/solb@chromium.org/19482019/12001
5 years, 11 months ago (2013-07-22 18:03:17 UTC) #5
commit-bot: I haz the power
5 years, 11 months ago (2013-07-22 21:03:55 UTC) #6
Message was sent while issue was closed.
Change committed as 212964

Powered by Google App Engine
This is Rietveld 408576698